<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- sh nderung, wenn pt Gre fr Bilder bercksichtigt werden soll xsl:template match="mm" name="mm-inline" mode="inline" -->
<!-- aus DimlTransform, nderungen sh  29.03.08 fr NEF-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template name="extractMediaFileName">
		<xsl:param name="fileNameWithPath"/>
		<xsl:choose>
			<xsl:when test="contains($fileNameWithPath, '/')">
				<xsl:call-template name="extractMediaFileName">
					<xsl:with-param name="fileNameWithPath" select="substring-after($fileNameWithPath, '/')"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$fileNameWithPath"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="MEDIA-URL">
		<xsl:param name="object"/>
		<xsl:call-template name="extractMediaFileName">
			<xsl:with-param name="fileNameWithPath" select="unparsed-entity-uri($object)"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="mm" name="mm">
		<!--<a>
      <xsl:call-template name="a-name-attribute"/>-->
		<xsl:choose>
			<xsl:when test="caption or legend">
				<xsl:apply-templates select="." mode="mm_with_caption_or_legend"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="." mode="mm_without_caption_and_legend"/>
			</xsl:otherwise>
		</xsl:choose>
		<!--</a>-->
	</xsl:template>

	<xsl:template match="caption" mode="mmcaption">
		<xsl:for-each select=".">Fig. <xsl:number count="caption" level="any" format="1"/></xsl:for-each>
		 &#8211; <xsl:apply-templates/>
	</xsl:template>
	

	
	<xsl:template match="mm" mode="mm_with_caption_or_legend">
		
		<p><xsl:apply-templates select="caption" mode="mmcaption"/><br/>
		
			<xsl:call-template name="mm-inline"/>
		</p>
		<xsl:apply-templates select="legend" mode="mmlegend"/>
		<br/>
	</xsl:template>
	<xsl:template match="mm" mode="mm_without_caption_and_legend">
		<xsl:call-template name="mm-inline"/>
	</xsl:template>
	<xsl:template match="mm" name="mm-inline" mode="inline">
		<a target="_blank"><xsl:attribute name="href"><xsl:value-of select="src/@file"/></xsl:attribute>
			<img>
				<xsl:attribute name="border">0</xsl:attribute>
				<xsl:attribute name="src"><xsl:choose>
				<xsl:when test="src/@file">
				<xsl:value-of select="src/@file"/>
				</xsl:when>
				<xsl:when test="@entity">
					<xsl:call-template name="MEDIA-URL">
						<xsl:with-param name="object" select="@entity|@file"/></xsl:call-template>
				</xsl:when>
					<xsl:otherwise>
					</xsl:otherwise>
				</xsl:choose>
				</xsl:attribute>
				<xsl:if test="@label">
					<xsl:attribute name="width"><xsl:value-of select="(substring-before(@label,'#'))"/></xsl:attribute>
					<xsl:attribute name="height"><xsl:value-of select="(substring-after(@label,'#'))"/></xsl:attribute>
				</xsl:if>
				<xsl:if test="alt">
					<xsl:attribute name="alt"><xsl:value-of select="alt[1]"/></xsl:attribute>
				</xsl:if>
				<xsl:if test="caption">
					<xsl:attribute name="title"><xsl:value-of select="caption[1]"/></xsl:attribute>
				</xsl:if>
			</img>
		</a>
	</xsl:template>
</xsl:stylesheet>
